Mercurial prerequisite list?

Eric Bloodworth ergosys at gmail.com
Mon Sep 19 12:06:25 CDT 2005


On Mon, 2005-09-19 at 09:04 -0700, Bryan O'Sullivan wrote:
> On Sun, 2005-09-18 at 22:56 -0700, Eric Bloodworth wrote:
> > Is there a list of prerequisite programs anywhere? 
> 
> It's very short.
> 
> python >= 2.3
> a C compiler (iff you're installing from sources)
> some kind of merge program (kdiff3 recommended)
> GNU patch (iff you use "import")
> 
> Out of the list above, you only need two (Python and a merge program) if
> you're using a binary package.
> 
> 	<b
> 

Well, the reason I asked was because the testing suite seems to be
dependent on rcs merge, and this wasn't mentioned anywhere that I could
find.  Is this just creaky code, or a longer term requirement?

-- Eric




More information about the Mercurial mailing list